List all FAILED webhooks for the calling application
curl --request GET \
--url https://staging-idaas.yourflexpay.com/api/v1/webhooks/failed \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/webhooks/failed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/webhooks/failed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionReference": "TXN-16820000-AB1C2D3E",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "<string>",
"direction": "RECEIVER",
"targetUrl": "https://app-b.example.com/webhooks/transactions",
"eventType": "TRANSACTION_INITIATED",
"status": "PENDING",
"attempts": 123,
"lastError": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123
},
"empty": true
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Webhooks
List all FAILED webhooks for the calling application
Returns all webhook delivery records in FAILED status where the
target URL belongs to the calling application. Use this to identify
events that need to be replayed after fixing an endpoint outage.
Paginated, newest first.
GET
/
v1
/
webhooks
/
failed
List all FAILED webhooks for the calling application
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Query Parameters
Show child attributes
Show child attributes
⌘I